Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages.xml
Class MarkupXML

    java.lang.Object
      net.sf.statcvs.pages.xml.MarkupXML

All Implemented Interfaces:
  MarkupSyntax

public class MarkupXML
extends Object
implements MarkupSyntax

Version:
  $Id: MarkupXML.java,v 1.3 2008/06/25 20:46:43 benoitx Exp $
Author:
  Nilendra Weerasinghe (nilendraw@gmail.com)

Method Summary
`String` | `endSection1()`
`String` | `endSection2()`
`String` | `getEndOfPage()`
`String` | `getExtension()` Extension for report pages, e.g.
`String` | `getHeader(String pageName, String stylesheetURL, String charSet)`
`static MarkupSyntax` | `getInstance()`
`String` | `getTableFormat()`
`String` | `startSection1(String title)`
`String` | `startSection2(String title)`
`String` | `startSection2(String title, String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MarkupSyntax getInstance()

### endSection1

    public String endSection1()

  Specified by:
    `endSection1` in interface `MarkupSyntax`

### endSection2

    public String endSection2()

  Specified by:
    `endSection2` in interface `MarkupSyntax`

### getEndOfPage

    public String getEndOfPage()

  Specified by:
    `getEndOfPage` in interface `MarkupSyntax`

### getExtension

    public String getExtension()

  Description copied from interface: `MarkupSyntax`
  Extension for report pages, e.g. `html`

  Specified by:
    `getExtension` in interface `MarkupSyntax`

### getHeader

    public String getHeader(String pageName,
                            String stylesheetURL,
                            String charSet)

  Specified by:
    `getHeader` in interface `MarkupSyntax`

### getTableFormat

    public String getTableFormat()

  Specified by:
    `getTableFormat` in interface `MarkupSyntax`

### startSection1

    public String startSection1(String title)

  Specified by:
    `startSection1` in interface `MarkupSyntax`

### startSection2

    public String startSection2(String title)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

### startSection2

    public String startSection2(String title,
                                String id)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD